﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Interactivity;
using System.Windows.Media;
using Syncfusion.Windows.Chart;

namespace PieSeriesMVVM_Sample
{
    public class Behaviors : Behavior<MainWindow>
    {
        private List<Brush> color;

        protected override void OnAttached()
        {
           
            this.AssociatedObject.Loaded += AssociatedObject_Loaded;
        }

        void AssociatedObject_Loaded(object sender, RoutedEventArgs e)
        {
            color = new List<Brush>();
            var chartSeries = this.AssociatedObject.Series;
            if (chartSeries != null)
            {
                chartSeries.MouseDown += Series_MouseDown;
                foreach (var seg in chartSeries.Segments)
                {
                    color.Add(seg.Interior);
                }
            }
            
        }

        private void Series_MouseDown(object sender, ChartMouseEventArgs e)
        {
            var dc = e.Segment.CorrespondingPoints[0].Index;
            var series = sender as ChartSeries;
            var z = e.Segment.Series.Segments.Count;
            var d = e.Segment.Series;

            for (int i = 0; i < z; i++)
            {
                if (i == dc)
                {
                    series.Segments[i].Interior = Brushes.Red;
                }
                else
                {
                    series.Segments[i].Interior = color[i];
                }
            }

            MessageBox.Show(d.Data[dc].StringItem.ToString());
        }
    }
}
